| Graphics Libraries (HGL package) | Contents | Index

Graphics.HGL.Draw.Brush

Portability | non-portable (requires concurrency)
Stability | provisional
Maintainer | libraries@haskell.org

Description
Brushes, used for filling shapes.
Synopsis

data Brush
createBrush :: RGB -> IO Brush
deleteBrush :: Brush -> IO ()
selectBrush :: Brush -> Draw Brush
mkBrush :: RGB -> (Brush -> Draw a) -> Draw a

Documentation
data Brush

createBrush :: RGB -> IO Brush
Create a `Brush`.
deleteBrush :: Brush -> IO ()
Destroy a `Brush` created with `createBrush`.
selectBrush :: Brush -> Draw Brush
Set the `Brush` for subsequent drawing, returning the previous setting.
mkBrush :: RGB -> (Brush -> Draw a) -> Draw a
Create a `Brush` locally to a drawing.
Produced by Haddock version 0.7